Download it now!
Bug 48062 - [SVG] feComposite filter isn't supported
Summary: [SVG] feComposite filter isn't supported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import SVG-Open
  Show dependency treegraph
 
Reported: 2012-03-29 14:19 UTC by Valek Filippov
Modified: 2019-06-21 02:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
W3C SVG test suite "filter-composite-03-f" (4.42 KB, image/svg+xml)
2012-03-29 14:19 UTC, Valek Filippov
Details
Sample from W3 webpage (9.05 KB, image/svg+xml)
2015-10-27 10:10 UTC, Xisco Faulí
Details
how it should be rendered (9.72 KB, image/png)
2015-10-27 10:11 UTC, Xisco Faulí
Details
Test file 'filter-composite-03-f' as rendered by LO 5.2.2.2 (x64) (29.87 KB, image/png)
2016-11-14 11:42 UTC, Jouni Järvinen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-03-29 14:19:56 UTC
Created attachment 59239 [details]
W3C SVG test suite "filter-composite-03-f"

According to w3c "The test is passed if there are four filled squares visible, and the fill color matches the respective reference stroke exactly."

LO Draw fails this test (fill colour doesn't match reference stroke).
Comment 1 sasha.libreoffice 2012-06-27 00:12:14 UTC
Thanks for bugreport
reproduced in 3.3.4 on Fedora in both File->Open and Insert->Picture
reproduced in 3.5.4 and 3.6.beta1 only in File->Open
Comment 2 sasha.libreoffice 2012-06-27 00:38:26 UTC
Sorry, correction:
Link to test:
http://www.w3.org/Graphics/SVG/Test/20110816/harness/htmlObject/filters-composite-03-f.html

There shown that all 4 squares should be without squares inside. But Inkscape and Firefox show all 4 squares with other squares inside.

If version that all 4 squares should be without squares inside is correct, then:
reproduced in 3.3.4 on Fedora in both File->Open and Insert->Picture
reproduced in 3.5.4 in both File->Open and Insert->Picture
reproduced 3.6.beta1 in both File->Open and Insert->Picture
Comment 3 Alexandr 2014-07-31 08:15:12 UTC
Reproducible with LibreOffice 4.2.5 and 4.3.0 on Debian.
Comment 4 QA Administrators 2015-09-04 02:48:26 UTC Comment hidden (obsolete)
Comment 5 Alexandr 2015-09-19 16:40:53 UTC
Reproduced with LibreOffice 5.0.1 on Debian in both File->Open and Insert->Image
Comment 6 Xisco Faulí 2015-10-27 10:10:58 UTC
Created attachment 119993 [details]
Sample from W3 webpage

it looks like neither Firefox nor Chrome fully support it yet but IE11 does it
Comment 7 Xisco Faulí 2015-10-27 10:11:46 UTC
Created attachment 119995 [details]
how it should be rendered
Comment 8 Robinson Tryon (qubit) 2015-12-10 04:28:19 UTC Comment hidden (obsolete)
Comment 9 Jouni Järvinen 2016-11-14 11:40:27 UTC
LO 5.2.2.2 (x64), Window$ 7 Ultimate SP1 x64, there's 1 type of problem with the 'filter-composite-03-f' test file: each square has a middle of a different color, even completely different, and has a square ring around it, even of completely different color. See the attachment below.
Comment 10 Jouni Järvinen 2016-11-14 11:42:37 UTC
Created attachment 128746 [details]
Test file 'filter-composite-03-f' as rendered by LO 5.2.2.2 (x64)
Comment 11 QA Administrators 2017-11-15 09:16:12 UTC Comment hidden (obsolete)
Comment 12 Roman Kuznetsov 2018-06-16 15:46:50 UTC
still repro in 6.1 beta 1
Comment 13 QA Administrators 2019-06-21 02:53:29 UTC
Dear Valek Filippov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug